//
// errors.go
// Copyright (C) 2024 veypi <i@veypi.com>
// 2024-08-01 15:40
// Distributed under terms of the MIT license.
//

package errs

import "github.com/veypi/vigo"

var (
	AuthNotFound = vigo.NewError("auth not found").WithCode(40100)
	AuthFailed   = vigo.NewError("auth failed").WithCode(40101)
	AuthExpired  = vigo.NewError("auth expired").WithCode(40102)
	AuthInvalid  = vigo.NewError("auth invalid").WithCode(40103)
	AuthNoPerm   = vigo.NewError("auth no permission").WithCode(40104)
)
